// Base
import * as base from './_crud-base'

const path = '/api/v1/employee'
const name = 'employee'

export function create(data: any) {
  return base.create(path, data, name)
}

export function getList(params: any = null) {
  return base.getList(path, params, name)
}

export function getDetail(id: number | string) {
  return base.getDetail(path, id, name)
}

export function update(id: number | string, data: any) {
  return base.update(path, id, data, name)
}

export function remove(id: number | string) {
  return base.remove(path, id, name)
}

export async function getValueLabelList(params: any = null): Promise<{ value: string; label: string }[]> {
  let data: { value: string; label: string }[] = []
  const result = await getList(params)
  if (result.success) {
    const resultData = result.body?.data || []
    data = resultData.map((item: any) => ({
      value: item.id ? Number(item.id) : item.code,
      label: item.name,
    }))
  }
  return data
}
